<?xml version="1.0" encoding="utf-8"?> 
<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:p="http://primefaces.org/ui">
    <h:form>
        <p:dialog widgetVar="esquemaSeguridadDialog" header="Detalles de Recaudo" 
                  showEffect="clip" hideEffect="clip">
            <p:panelGrid id="panelEsquemaSeguridad" columns="4">
                <f:facet name="header">Solicitud Esquema de Seguridad</f:facet>

                <h:outputText value="CANTIDAD DE ESCOLTAS"/>
                <p:inputText value="#{solicitudesBean.nuevoEsquemaSeguridad.cantidadescoltas}"/>

                <h:outputText value="NIVEL DE CRITICIDAD"/>
                <p:inputText value="#{solicitudesBean.nuevoEsquemaSeguridad.nivelcriticidad}"/>

                <h:outputText value="TIPO PERIMETRO"/>
                <p:inputText value="#{solicitudesBean.nuevoEsquemaSeguridad.tipoperimetro}"/>

                <h:outputText value="TIPO SEGURIDAD"/>
                <p:inputText value="#{solicitudesBean.nuevoEsquemaSeguridad.tiposeguridad}"/>

                <p:commandButton value="Guardar" class="botonbuscador" 
                                 action="#{solicitudesBean.agregarEsquemaDeSeguridad()}"
                                 update = "panelEsquemaSeguridad, serviciosForm:panelEsquemaSeguridad"/>
                <p:commandButton id="exitButtonBitacora" value="Salir" 
                                 oncomplete="PF('esquemaSeguridadDialog').hide();" />
            </p:panelGrid>
        </p:dialog>
    </h:form>
</ui:composition>
